#ifndef COMMON_H
#define COMMON_H	1

#include <math.h>
#include <unistd.h>
#include <stdio.h>
#include <complex.h>
#include <stdlib.h>

// This value for LDBL_EPSILON is for an 80 bit variable
// (64 bit significand). It should be in float.h
#define LDBL_EPSILON 1.084202172485504434E-19L  // = 2^-63
#define M_2PI     6.28318530717958647692		// 2*Pi
#define M_SQRT_2  0.707106781186547524401		// sqrt(2)/2
#define M_SQRT3_2 0.8660254037844386467637231L	// sqrt(3)/2

#define bool	char
#define true	1
#define false	0

#endif

