#ifndef FreqSamplingCodeH
#define FreqSamplingCodeH

#include "Common.h"
#include "FIRFilterCode.h" // for the definition of TFIRPassTypes
#include "FFTCode.h"
#include "LowPassPrototypes.h"

#define NUM_POS_FREQ_SAMPLES 1024  // needs to be 1024 for the kit test app

void SampledFreqFIR(
	int NumTaps,
	double *FirCoeff,
	double *HofSReal,
	double *HofSImag,
	double OmegaC,
	TFIRPassTypes PassType );

void SampledFreqAnalog(
	int NumTaps,
	double *FirCoeff,
	double *HofSReal,
	double *HofSImag,
	double OmegaC );

#endif

